#!/bin/sh

# This script installs the Stream Profile "analytics" on the camera, and sets it to the default 
# profile for streaming. This could probably all be done from within the application, but 
# the interaction with parhandclient instead of the ax_parameter-API makes it simpler and hopefully
# more robust when creating the new profile (templates does not seem to exist for the latter API).

install_stream_profile() {
    parhandclient getgroup StreamProfile | grep "\"analytics\""
    if [ $? -ne 0 ]; then
	echo "Creating new streamprofile"
    # Some weird signs appeared in the string when tvpc called the command. Filter for StreamProfile.Sx*...
	NEW_GROUP=$(parhandclient addgroup StreamProfile streamprofile | sed -n 's/\(StreamProfile.S[0-9]*\)/\1/p')
	if [ $? -eq 0 ]; then
	    echo "New group $NEW_GROUP created"
	    parhandclient set "$NEW_GROUP.Name" "analytics"
	    parhandclient set "$NEW_GROUP.Description" "Video stream for Cognimatics People Counter"
	    parhandclient set "$NEW_GROUP.Parameters" "resolution=640x360&compression=50&color=1&mirror=0&fps=0&videocodec=jpeg"
	else
	    echo "Failed to create a new group"
	    exit 500
	fi
   fi
   parhandclient set Layout.DefaultStreamProfile analytics
}

	
install_stream_profile
