#!/bin/sh
firmware560=0
fwparam=root.Properties.Firmware.Version
if parhandclient get $fwparam  | grep  '^"5\.6' > /dev/null; then
    firmware560=1
fi

rm -rf /usr/html/local/parking /usr/html/local/people-counter /usr/html/local/people-counter /usr/html/local/heatmap /usr/html/local/bicycle
rm -rf /etc/apache2/conf.d/tvgd.conf
rm -rf /etc/apache2/conf.d/tvpc.conf
rm -rf /etc/apache2/conf.d/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvgd.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvqu.conf
rm -rf /etc/apache2/conf.d/vhosts/all/tvpc.conf

mkdir -p /usr/local/sbin/
cp /usr/local/packages/tvpc/time-source.service /etc/systemd/system/
cp /usr/local/packages/tvpc/ntp.service /etc/systemd/system/
cp /usr/local/packages/tvpc/ntp-SDK2 /usr/local/sbin/ntp-tools
cp /usr/local/packages/tvpc/ntp-init /usr/local/sbin/
chmod 755 /usr/local/sbin/ntp-tools
chmod 755 /usr/local/sbin/ntp-init
systemctl daemon-reload > /dev/null 2>&1
systemctl restart time-source.service >/dev/null 2>&1

cp /usr/local/packages/tvpc/html/people-counter/public/* /mnt/flash/etc/httpd/html/administrator/

parhandclient --nocgi set root.Network.Bonjour.FriendlyName "AXIS People Counter - `parhandclient --nocgi get root.Brand.ProdShortName - RAW` - `parhandclient --nocgi get root.Properties.System.SerialNumber - RAW`" 2>/dev/null > /dev/null

#if [ "$firmware560" -eq "1" ]; then
#    BOAPID=`pidof boa`
#    BOAOUT_=`stat /proc/$BOAPID/fd/* | grep pipe`
#    BOAOUT=`echo $BOAOUT_ | cut -d' ' -f2 | tr -d \'`
#    eval `sed -n 'H;${x;s/\(^\|\x00\)\([^=]*.\)\([^\x00]*\)/\2\x27\3\x27\n/gp}' /proc/$PPID/environ | grep HTTP_HOST`
#    echo -en 'Location: http://'$HTTP_HOST'/local/people-counter/wait.html\r\n' > $BOAOUT
#    echo -en 'Content-type: text/plain\r\n\r\n' > $BOAOUT
#else
#    echo -en 'Location: http://'$HTTP_HOST'/local/people-counter/wait.html\r\n'
#    echo -en 'Content-type: text/plain\r\n\r\n'
#fi
#/etc/init.d/httpd restart  >/dev/null  2>&1

# Make sure apache (user www) can access our html directory
chown www -R /usr/local/packages/tvpc/html/

# Add Possibility for viewer to see interface and then set specifc permissions for files.
chgrp -R viewer /usr/local/packages/tvpc/*
chmod -R 740 /usr/local/packages/tvpc/*
chmod 750 /usr/local/packages/tvpc/html/people-counter/*.cgi
chmod 750 /usr/local/packages/tvpc/html/people-counter
chmod 750 /usr/local/packages/tvpc/html/
chmod 744 /usr/local/packages/tvpc/html/people-counter/.api # Make .api accessible without even viewer auth.
chgrp admin /usr/local/packages/tvpc/html/people-counter/.apiadmin
chgrp operator /usr/local/packages/tvpc/html/people-counter/*.cgi
chgrp operator /usr/local/packages/tvpc/html/people-counter/.apioperator
chgrp operator /usr/local/packages/tvpc/html/people-counter/registration.html
chgrp operator /usr/local/packages/tvpc/html/people-counter/javascript/registration.js

#Remove axis-created .htaccess files that only allow admin access
find /usr/local/packages/tvpc/html/ -name .htaccess | xargs rm

#Create symlink to axis html so that we can redirect to its index.shtml from /admin/ without
#triggering the previous redirect from /index.shtml to /people-counter/statistics.html
ln -sf /usr/html/ /usr/local/packages/tvpc/html/people-counter/axis-html

#Sets apache rewrite rules that redirects /people-counter/ to /local/tvpc/people-counter/. This is not removed on uninstallation.
#On >5.80 the vhosts folder was added requiring a new placement of the conf file.
if [ -d "/etc/apache2/conf.d/vhosts/all/" ]; then
    cp /usr/local/packages/tvpc/apache.conf /etc/apache2/conf.d/vhosts/all/tvpc.conf
else
    cp /usr/local/packages/tvpc/apache.conf /etc/apache2/conf.d/tvpc.conf
    # Patch 5.70.1
    if md5sum /etc/apache2/httpd-ssl.conf | grep 36d18473ace756a42947e826cc8c7ee9; then
        echo Patching httpd-ssl.conf to fix issue in 5.70 and 5.75.
        cp httpd-ssl.conf.5.70 /etc/apache2/httpd-ssl.conf
    fi
fi

#The transfer_tvpc.conf file is automatically created with /local/tvpc/ prepended to path set in PeopleCounter-cgipaths.conf.
#For our redirecting to work however this prepending must be removed.
sed -rne 's/\/local\/tvpc\//\//p' /etc/apache2/transfer/transfer_tvpc.conf > transfer_tvpc.conf.tmp
cat transfer_tvpc.conf.tmp > /etc/apache2/transfer/transfer_tvpc.conf
rm transfer_tvpc.conf.tmp

#Start tvpc via axis api. Sleep 5 to let axis restart httpd first.
sleep 5
export QUERY_STRING="action=start&package=tvpc"
/usr/html/axis-cgi/applications/control.cgi >/dev/null  2>&1

echo 'postinstall reached end of file'
